Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## classes.utilities
Class SqlStatements

    java.lang.Object
      classes.utilities.SqlStatements

    public class SqlStatements

extends java.lang.Object

Az SQLStatements osztály nem más, mint a program működése során használt SQL utasítások gyűjteménye

Constructor Summary
`SqlStatements()`

Method Summary
`void` | `createCompanyRowsTable(java.lang.String tableName)` A metódus segítségével létrehozhatjuk a vállalat számláihoz tartozó tételsorok tárolására alkalmas táblát.
`void` | `createCompanyTable(java.lang.String tableName, java.lang.String tableName2)` A metódus segítségével létrehozhatunk egy vállalat számláinak tárolására alkalmas táblát.
`void` | `createPartnersTable(java.lang.String tableName)` A metódus segítségével létrehozhatunk egy vállalattal kapcsolatban álló partnerek adatainak tárolására alkalmas táblát.
`java.sql.ResultSet` | `dailyStatistics(Statistics s, java.lang.String tableName)` A metódus segítségével lefuttathatunk egy specifikált keresést a rendszerben, melynek eredménye a napi lebontású kimutatások készítésnek lesz az alapja.
`int` | `getCash(Statistics s, java.lang.String tableName)` A metódus segítségével lefuttathatunk egy specifikált keresést a rendszerben, s eredményül megkapjuk egy bizonys dátum előtt képződött szabad készpénz összegét
`void` | `insertNewEntry(Entry e, java.lang.String tableName)` A metódus segítségével új számlát rögzíthetünk a rendszerben.
`void` | `insertNewPartner(Partner p, java.lang.String tableName)` A metódus segítségével új partnert rögzíthetünk a rendszerben
`void` | `insertRow(EntryRow e, java.lang.String tableName, java.lang.String billSerial, int serial)` A metódus segítségével új sort rögzíthetünk a rendszerben
`boolean` | `isAlreadyUsedSerial(java.lang.String s, java.lang.String tableName)` A metódus segítségével lefuttathatunk egy olyan lekérdezést rendszerben, mely megmondja, hogy egy adott sorszámú számla szerepel-e a rendszerben.
`boolean` | `isTableExists(java.lang.String tableName)` A metódus segítségével lekérdezhetjük, hogy egy adott tábla létezik-e.
`java.sql.ResultSet` | `monthlyStatistics(Statistics s, java.lang.String tableName)` A metódus segítségével lefuttathatunk egy specifikált keresést a rendszerben, melynek eredménye a havi lebontású kimutatások készítésnek lesz az alapja.
`java.sql.ResultSet` | `searchForEntries(Search s, java.lang.String tableName)` A metódus segítségével lefuttathatunk egy specifikált keresést a rendszerben.
`Partner` | `searchForPartner(int partnerId, java.lang.String tableName)` A metódus segítségével egy olyan keresést hajthatunk végre, mely megmondja, hogy egy adott azonosítójú partner adatait adja vissza.
`void` | `setNumberOfCopies(Entry e, java.lang.String tableName, int number)` Beállítja az egyes számlákhoz tartozó példányszámok új értékét
`void` | `setWasted(Entry e, java.lang.String tableName)` A metódus segítségével lefuttathatunk egy Update utasítást, mellyel egy bizonyos számlát jelölhetünk meg rontottként.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlStatements

    public SqlStatements()

Method Detail

### isTableExists

    public boolean isTableExists(java.lang.String tableName)

  A metódus segítségével lekérdezhetjük, hogy egy adott tábla létezik-e.

  Parameters:
    `tableName` - A kérdéses tábla neve
  Returns:
    Ha a tábla létezik igaz, ha nem hamis értékkel tér vissza

### createCompanyRowsTable

    public void createCompanyRowsTable(java.lang.String tableName)
                                throws java.sql.SQLException

  A metódus segítségével létrehozhatjuk a vállalat számláihoz tartozó tételsorok tárolására alkalmas táblát.

  Parameters:
    `tableName` - A vállalat neve szóközök nélkül, a leendő tábla neve kiegészül majd a _rows szöveggel
  Throws:
    `java.sql.SQLException`

### createCompanyTable

    public void createCompanyTable(java.lang.String tableName,
                                   java.lang.String tableName2)
                            throws java.sql.SQLException

  A metódus segítségével létrehozhatunk egy vállalat számláinak tárolására alkalmas táblát.

  Parameters:
    `tableName` - A vállalat neve szóközök nélkül, a létrehozandó tábla neve.
    `tableName2` - Azon tábla neve, melyben a vállalattal kapcsolatban álló partnerek adatai tárolódnak
  Throws:
    `java.sql.SQLException`

### createPartnersTable

    public void createPartnersTable(java.lang.String tableName)
                             throws java.sql.SQLException

  A metódus segítségével létrehozhatunk egy vállalattal kapcsolatban álló partnerek adatainak tárolására alkalmas táblát.

  Parameters:
    `tableName` - A létrehozandó tábla neve.
  Throws:
    `java.sql.SQLException`

### insertNewEntry

    public void insertNewEntry(Entry e,
                               java.lang.String tableName)
                        throws java.sql.SQLException

  A metódus segítségével új számlát rögzíthetünk a rendszerben.

  Parameters:
    `e` - Egy Entry objektum, melyben a számla adatai tárolódnak
    `tableName` - A tábla neve, melybe a beszúrás történik
  Throws:
    `java.sql.SQLException`

### insertRow

    public void insertRow(EntryRow e,
                          java.lang.String tableName,
                          java.lang.String billSerial,
                          int serial)
                   throws java.sql.SQLException

  A metódus segítségével új sort rögzíthetünk a rendszerben

  Parameters:
    `e` - Egy EntryRow objektum, melyben egy sorról tárolt információk vannak
    `tableName` - A tábla neve, melybe a beszúrás történik
    `billSerial` - A számla sorszáma, melyhez a tételsor kapcsolódik
    `serial` - Az adott sor sorszáma a számlán
  Throws:
    `java.sql.SQLException`

### insertNewPartner

    public void insertNewPartner(Partner p,
                                 java.lang.String tableName)
                          throws java.sql.SQLException

  A metódus segítségével új partnert rögzíthetünk a rendszerben

  Parameters:
    `p` - A partner adatait tartalmazó Partner objektum
    `tableName` - A tábla, melybe a beszúrás történik
  Throws:
    `java.sql.SQLException`

### searchForEntries

    public java.sql.ResultSet searchForEntries(Search s,
                                               java.lang.String tableName)
                                        throws java.sql.SQLException

  A metódus segítségével lefuttathatunk egy specifikált keresést a rendszerben.
  A metódus az átadott Search objektumot értelmezi, s az alapján automatikusan készíti el a keresés alapjául szolgáló SQL kifejezést, s végül visszaadja a keresés eredményhalmazát.

  Parameters:
    `s` - A keresés paramétereit tartalmazó Search objektum
    `tableName` - A tábla neve, melyben a keresést végre kell hajtani
  Returns:
    A keresés eredményeként létrejött halmaz
  Throws:
    `java.sql.SQLException`

### dailyStatistics

    public java.sql.ResultSet dailyStatistics(Statistics s,
                                              java.lang.String tableName)
                                       throws java.sql.SQLException

  A metódus segítségével lefuttathatunk egy specifikált keresést a rendszerben, melynek eredménye a napi lebontású kimutatások készítésnek lesz az alapja.
  A metódus az átadott Statistics objektumot értelmezi, s az alapján automatikusan készíti el a keresés alapjául szolgáló SQL kifejezést, s végül visszaadja a keresés eredményhalmazát.

  Parameters:
    `s` - A keresés paramétereit tartalmazó Statistics objektum
    `tableName` - A tábla neve, melyben a keresést végre kell hajtani
  Returns:
    A keresés eredményeként létrejött halmaz
  Throws:
    `java.sql.SQLException`

### monthlyStatistics

    public java.sql.ResultSet monthlyStatistics(Statistics s,
                                                java.lang.String tableName)
                                         throws java.sql.SQLException

  A metódus segítségével lefuttathatunk egy specifikált keresést a rendszerben, melynek eredménye a havi lebontású kimutatások készítésnek lesz az alapja.
  A metódus az átadott Statistics objektumot értelmezi, s az alapján automatikusan készíti el a keresés alapjául szolgáló SQL kifejezést, s végül visszaadja a keresés eredményhalmazát.

  Parameters:
    `s` - A keresés paramétereit tartalmazó Statistics objektum
    `tableName` - A tábla neve, melyben a keresést végre kell hajtani
  Returns:
    A keresés eredményeként létrejött halmaz
  Throws:
    `java.sql.SQLException`

### searchForPartner

    public Partner searchForPartner(int partnerId,
                                    java.lang.String tableName)
                             throws java.sql.SQLException

  A metódus segítségével egy olyan keresést hajthatunk végre, mely megmondja, hogy egy adott azonosítójú partner adatait adja vissza.

  Parameters:
    `partnerId` - A keresett partner azonosítószáma
    `tableName` - A tábla neve, melyben a partnerek tárolva vannak
  Returns:
    Az adott azonosítójú partner adatait tartalmazó Partner objektum
  Throws:
    `java.sql.SQLException`

### setWasted

    public void setWasted(Entry e,
                          java.lang.String tableName)
                   throws java.sql.SQLException

  A metódus segítségével lefuttathatunk egy Update utasítást, mellyel egy bizonyos számlát jelölhetünk meg rontottként.

  Parameters:
    `e` - A számla adatait tartalmazó Entry objektum
    `tableName` - A tábla neve, melyen a frissítést le kell futtatni
  Throws:
    `java.sql.SQLException`

### setNumberOfCopies

    public void setNumberOfCopies(Entry e,
                                  java.lang.String tableName,
                                  int number)
                           throws java.sql.SQLException

  Beállítja az egyes számlákhoz tartozó példányszámok új értékét

  Parameters:
    `e` - A számlát jelképező Entry objektum
    `tableName` - A tábla neve, melyben a számla tárolva van
    `number` - Az érték, mellyel növelni kell a már meglévőt
  Throws:
    `java.sql.SQLException`

### isAlreadyUsedSerial

    public boolean isAlreadyUsedSerial(java.lang.String s,
                                       java.lang.String tableName)
                                throws java.sql.SQLException

  A metódus segítségével lefuttathatunk egy olyan lekérdezést rendszerben, mely megmondja, hogy egy adott sorszámú számla szerepel-e a rendszerben.

  Parameters:
    `s` - A számla sorszáma
    `tableName` - A tábla, melyben a keresést végre kell hajtani
  Returns:
    Ha a sorszám már szerepel igaz, ha még nem, akkor hamis értéket ad vissza
  Throws:
    `java.sql.SQLException`

### getCash

    public int getCash(Statistics s,
                       java.lang.String tableName)
                throws java.sql.SQLException

  A metódus segítségével lefuttathatunk egy specifikált keresést a rendszerben, s eredményül megkapjuk egy bizonys dátum előtt képződött szabad készpénz összegét

  Parameters:
    `s` - A keresés paramétereit, vagyis a kezdődátumot tartalmazó Statistics objektum
    `tableName` - A tábla neve, melyben a keresést végre kell hajtani
  Returns:
    A beállított dátum előtt képződött szabad készpénz
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD